Index: palm/trunk/SCRIPTS/NCL/.ncl.config.default
===================================================================
--- palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 534)
+++ palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 566)
@@ -104,33 +104,4 @@
       end if
       ;***************************************************
-      ; OPTIONAL --xyc--xzc--yzc-- SELECTION of XY or XZ or YZ CROSS SECTIONS
-      ;
-      ; desired section has to be set to 1; 
-      ; e.g.: xyc=1, xzc=0 and yzc=0 for xy-section
-      ;
-      ; data type: integer
-      ;
-      ; example: xyc = 1
-      ;	         xzc = 0
-      ;	         yzc = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if(.not. isvar("xyc"))then      
-       
-         xyc = 0
-	
-      end if
-      if (.not. isvar("xzc"))then
-      
-	 xzc = 0
-	
-      end if
-      if (.not. isvar("yzc"))then
-      
-	 yzc = 0
-	 	 
-      end if	 	 
-      ;***************************************************
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
@@ -166,59 +137,4 @@
       
          file_out = "~/test_cs"
-	 
-	 
-      end if	 
-      ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
-      ;
-      ; number of plots in one row 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_columns = 1
-      ;
-      ; default:   1
-      ;***************************************************
-      if(.not. isvar("no_columns"))then	 
-      
-      
-         no_columns = 1
-	 
-	 
-      end if	 
-      ;***************************************************
-      ; OPTIONAL --no_rows-- NUMBER OF ROWS
-      ;
-      ; number of plots in one column 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_rows = 2
-      ;
-      ; default:   2 
-      ;***************************************************
-      if(.not. isvar("no_rows"))then	 
-      
-      
-         no_rows = 2
-	 
-	 
-      end if	 
-      ;***************************************************
-      ; OPTIONAL --sort-- TYPE OF SORTING 
-      ;
-      ; sequence of plots; sorting either by time step [="time"] or 
-      ; by layer/height [="layer"]
-      ;
-      ; data type: string
-      ;
-      ; example: sort = "layer"
-      ;
-      ; default:   "layer" 
-      ;***************************************************
-      if(.not. isvar("sort"))then	 
-      
-      
-         sort = "layer"
 	 
 	 
@@ -289,5 +205,5 @@
       ;
       ; value for minimum of x-axis, selectable if there are 
-      ; NO preseted layers 
+      ; NO preset layers 
       ; for x (as for XY or XZ 2D-DATA);
       ; there is no need to specify a precise meter value from the input file, 
@@ -311,5 +227,5 @@
       ;
       ; value for maximum of x-axis, selectable if there are 
-      ; NO preseted layers 
+      ; NO preset layers 
       ; for x (as for XY or XZ 2D-DATA);
       ; there is no need to specify a precise meter value from the input file, 
@@ -333,5 +249,5 @@
       ;
       ; value for minimum of y-axis, selectable if there are 
-      ; NO preseted layers 
+      ; NO preset layers 
       ; for y (as for XY or YZ 2D-DATA);
       ; there is no need to specify a precise meter value from the input file, 
@@ -354,5 +270,5 @@
       ; OPTIONAL --ye-- MAXIMUM Y-AXIS 
       ;
-      ; value for maximum of y-axis, selectable if there are NO preseted layers
+      ; value for maximum of y-axis, selectable if there are NO preset layers
       ; for y (as for XY or YZ 2D-DATA);
       ; there is no need to specify a precise meter value from the input file,
@@ -376,5 +292,5 @@
       ;
       ; index for minimum of z-axis, selectable if there are 
-      ; NO preseted layers 
+      ; NO preset layers 
       ; for z (as for XZ or YZ 2D-DATA);
       ; you cannot specify a meter value from the input file due to 
@@ -398,5 +314,5 @@
       ;
       ; index for maximum of z-axis, selectable if there are 
-      ; NO preseted layers
+      ; NO preset layers
       ; for z (as for XZ or YZ 2D-DATA);
       ; you cannot specify a meter value from the input file due to 
@@ -413,4 +329,59 @@
             
          ze = -1
+	 
+	 
+      end if	 
+      ;***************************************************
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
+      ;
+      ; number of plots in one row 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_columns = 1
+      ;
+      ; default:   1
+      ;***************************************************
+      if(.not. isvar("no_columns"))then	 
+      
+      
+         no_columns = 1
+	 
+	 
+      end if	 
+      ;***************************************************
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
+      ;
+      ; number of plots in one column 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_rows = 2
+      ;
+      ; default:   2 
+      ;***************************************************
+      if(.not. isvar("no_rows"))then	 
+      
+      
+         no_rows = 2
+	 
+	 
+      end if	 
+      ;***************************************************
+      ; OPTIONAL --sort-- TYPE OF SORTING 
+      ;
+      ; sequence of plots; sorting either by time step [="time"] or 
+      ; by layer/height [="layer"]
+      ;
+      ; data type: string
+      ;
+      ; example: sort = "layer"
+      ;
+      ; default:   "layer" 
+      ;***************************************************
+      if(.not. isvar("sort"))then	 
+      
+      
+         sort = "layer"
 	 
 	 
@@ -765,5 +736,5 @@
       end if 
       ;***************************************************
-      ; OPTIONAL/REQUIRED --start_f_1-- if more than one file of a job chain
+      ; OPTIONAL/REQUIRED --start_f-- if more than one file of a job chain
       ;                    START OF CYCLIC NUMBER OF THE 1ST INPUT FILE
       ;
@@ -779,13 +750,13 @@
       ; default:   -1  
       ;***************************************************
-      if (.not. isvar("start_f_1"))then  
+      if (.not. isvar("start_f"))then  
       
           
-         start_f_1 = -1
-	 
-	 
-      end if 
-      ;***************************************************
-      ; OPTIONAL/REQUIRED --end_f_1--  if more than one file of a job chain
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL/REQUIRED --end_f--  if more than one file of a job chain
       ;            END OF CYCLIC NUMBER OF THE 1ST INPUT FILE
       ;
@@ -801,8 +772,8 @@
       ; default:   -1  
       ;***************************************************
-      if (.not. isvar("end_f_1"))then  
+      if (.not. isvar("end_f"))then  
       
           
-         end_f_1 = -1
+         end_f = -1
 	 
 	 
@@ -837,36 +808,4 @@
        
          file_out = "~/test_pr"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
-      ;
-      ; number of plots in one row 
-      ;
-      ; data type: integer
-      ;
-      ; default:   1
-      ;***************************************************
-      if (.not. isvar("no_columns"))then	 
-      
-      
-         no_columns = 1
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_rows-- NUMBER OF ROWS
-      ;
-      ; number of plots in one column 
-      ;
-      ; data type: integer
-      ;
-      ; default:   2 
-      ;***************************************************
-      if (.not. isvar("no_rows"))then	
-      
-       
-         no_rows = 2
 	 
 	 
@@ -894,4 +833,415 @@
       end if
       ;***************************************************
+      ; OPTIONAL --start_time_step-- FIRST TIME STEP
+      ;
+      ; first time step of plot; there is no need to specify a precise 
+      ; time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
+      ;
+      ; data type: double; dimension: [hour]
+      ;
+      ; example:   start_time_step = 0.5d
+      ;
+      ; default:   -1.d (first available time step)
+      ;***************************************************
+      if (.not. isvar("start_time_step"))then	
+      
+       
+         start_time_step = -1.d
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --end_time_step-- LAST TIME STEP
+      ;
+      ; last time step of plot; there is no need to specify a precise
+      ; time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
+      ;
+      ; data type: double; dimension: [hour]
+      ;
+      ; example:   end_time_step = 2.0d
+      ;
+      ; default:   -1.d (last available time step)
+      ;***************************************************
+      if (.not. isvar("end_time_step"))then
+      
+      	 
+         end_time_step = -1.d    
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --time_stride-- TEMPORAL STRIDE 
+      ;
+      ; temporal stride for the plots; if time_stride=1 all the profiles 
+      ; between first_time_step and end_time_step are plotted 
+      ; (including first_time_step and end_time_step), 
+      ; if time_stride=3 every third time step between start_time_step and 
+      ; end_time_step is plotted
+      ;
+      ; data type: integer
+      ;
+      ; example:   time_stride = 3
+      ;
+      ; default:   1 
+      ;***************************************************
+      if (.not. isvar("time_stride"))then	
+      
+       
+         time_stride = 1
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --xs-- MINIMUM X-AXIS 
+      ;
+      ; value for minimum of x-axis
+      ;
+      ; data type: float; dimension of variable
+      ;
+      ; example: xs = 300. (e.g. if var=",pt")
+      ;
+      ; default:   -1. (minimum of range)
+      ;***************************************************
+      if (.not. isvar("xs"))then   
+      
+         
+         xs = -1.
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --xe-- MAXIMUM X-AXIS 
+      ;
+      ; value for maximum of x-axis
+      ;
+      ; data type: float; dimension of variable
+      ;
+      ; example: xe = 302. (e.g. if var=",pt")
+      ;
+      ; default:   -1. (maximum of range)
+      ;***************************************************
+      if (.not. isvar("xe"))then  
+      
+          
+         xe = -1.
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --min_z-- MINIMUM Z-AXIS 
+      ;
+      ; value for minimum height of z-axis
+      ;
+      ; data type: double; dimension: [meter]
+      ;
+      ; example: min_z = 0.0d
+      ;
+      ; default:   -1.d (related to the minimum of z-axis in input file)
+      ;***************************************************
+      if (.not. isvar("min_z"))then   
+      
+         
+         min_z = -1.d
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --max_z-- MAXIMUM Z-AXIS 
+      ;
+      ; value for maximum height of z-axis
+      ;
+      ; data type: double; dimension: [meter]
+      ;
+      ; example: max_z = 1000.0d
+      ;
+      ; default:   -1.d (related to the maximum of z-axis in input file)
+      ;***************************************************
+      if (.not. isvar("max_z"))then   
+      
+         
+         max_z = -1.d
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --start_x-- STARTVALUE IN X-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose a startvalue 
+      ; in x-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: start_x = 0
+      ;
+      ; default:   0 (minimum of range)
+      ;***************************************************
+      if (.not. isvar("start_x"))then   
+      
+         
+         start_x = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --end_x-- ENDVALUE IN X-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose an endvalue 
+      ; in x-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: end_x = 200
+      ;
+      ; default:   -1 (maximum of range excluding ghostpoint)
+      ;***************************************************
+      if (.not. isvar("end_x"))then   
+      
+         
+         end_x = -1
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --start_y-- STARTVALUE IN Y-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose a startvalue 
+      ; in y-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: start_y = 0
+      ;
+      ; default:   0 (minimum of range)
+      ;***************************************************
+      if (.not. isvar("start_y"))then   
+      
+         
+         start_y = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --end_y-- ENDVALUE IN Y-DIRECTION  
+      ;
+      ; if 3D data is used for profiles you can choose an endvalue 
+      ; in y-direction for horizontal averaging 
+      ;
+      ; data type: integer; dimension [grippoint]
+      ;
+      ; example: end_y = 200
+      ;
+      ; default:   -1 (maximum of range excluding ghostpoint)
+      ;***************************************************
+      if (.not. isvar("end_y"))then   
+      
+         
+         end_y = -1
+	 
+	 
+      end if	 
+      ;***************************************************
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
+      ;
+      ; number of plots in one row 
+      ;
+      ; data type: integer
+      ;
+      ; default:   1
+      ;***************************************************
+      if (.not. isvar("no_columns"))then	 
+      
+      
+         no_columns = 1
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
+      ;
+      ; number of plots in one column 
+      ;
+      ; data type: integer
+      ;
+      ; default:   2 
+      ;***************************************************
+      if (.not. isvar("no_rows"))then	
+      
+       
+         no_rows = 2
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --log_z-- LOGARITHMIC SCALE OF Z-AXIS 
+      ;
+      ; logarithmic scale for z-axis is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: log_z = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("log_z"))then 
+      
+           
+         log_z = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --norm_z-- NORMALISING Z-AXIS 
+      ;
+      ; value for normalising the z-axis
+      ;
+      ; data type: float
+      ;
+      ; example: norm_z = 1.
+      ;
+      ; default:   1. (no normalising)
+      ;***************************************************
+      if (.not. isvar("norm_z"))then 
+      
+           
+         norm_z = 1.
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --over-- OVERLAYING
+      ;
+      ; predefined overlaying of standard variables is switched 
+      ; on [=1] or off [=0];
+      ; this feature cannot be used with statistic regions
+      ;
+      ; data type: integer
+      ;
+      ; example: over = 0
+      ;
+      ; default:   0 
+      ;***************************************************
+      if (.not. isvar("over"))then
+      
+      	 
+         over = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --combine-- COMBINING 
+      ;
+      ; combining of two or three individual variables is possible and 
+      ; switched on [=1] or off[=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: combine = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("combine"))then  
+      
+          
+         combine = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; REQUIRED IF combine=1 --number_comb-- NUMBER FOR COMBINING 
+      ;
+      ; number of variables for combining; 2 or 3 is valid 
+      ;
+      ; data type: integer
+      ;
+      ; example: number_comb = 2
+      ;
+      ; default:   -1
+      ;***************************************************
+      if (.not. isvar("number_comb"))then 
+      
+           
+         number_comb = -1
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; REQUIRED IF combine=1 --c_var-- VARIABLES FOR COMBINING 
+      ;
+      ; names of variables; 
+      ; inidcate them with one comma before and after each variable
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
+      ;
+      ; data type: string
+      ;
+      ; example: c_var = ",u,v,w,w*pt*,w"+dq+"pt"+dq+",wpt," 
+      ;
+      ; default:   "c_variables"
+      ;***************************************************
+      if (.not. isvar("c_var"))then 
+      
+           
+         c_var = "c_variables"
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --black-- BLACK OR COLOR LINES
+      ;
+      ; colored [=0] or black and white [=1] plots
+      ;
+      ; data type: integer
+      ;
+      ; example: black = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("black"))then 
+      
+           
+         black = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --dash-- DASHED LINES 
+      ;
+      ; use of different line patterns [=1] or continous lines [=0] 
+      ; for different time steps
+      ;
+      ; data type: integer
+      ;
+      ; example: dash = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("dash"))then     
+      
+       
+         dash = 0      
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.02
+	 
+	 
+      end if 
+      ;***************************************************
       ; OPTIONAL --legend-- SWITCHES ON A LEGEND
       ;
@@ -911,4 +1261,22 @@
 	 
       end if    
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.2
+      ;
+      ; default:   0.2 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.2
+	 
+	 
+      end if 	 
       ;***************************************************
       ; OPTIONAL ---no_files-- NUMBER OF INPUT FILES
@@ -1369,402 +1737,4 @@
       end if 	  	 
       ;***************************************************
-      ; OPTIONAL --start_time_step-- FIRST TIME STEP
-      ;
-      ; first time step of plot; there is no need to specify a precise 
-      ; time value from the input file,
-      ; 'start_time_step' is rounded to the next existent time step
-      ;
-      ; data type: double; dimension: [hour]
-      ;
-      ; example:   start_time_step = 0.5d
-      ;
-      ; default:   -1.d (first available time step)
-      ;***************************************************
-      if (.not. isvar("start_time_step"))then	
-      
-       
-         start_time_step = -1.d
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --end_time_step-- LAST TIME STEP
-      ;
-      ; last time step of plot; there is no need to specify a precise
-      ; time value from the input file,
-      ; 'end_time_step' is rounded to the next existent time step
-      ;
-      ; data type: double; dimension: [hour]
-      ;
-      ; example:   end_time_step = 2.0d
-      ;
-      ; default:   -1.d (last available time step)
-      ;***************************************************
-      if (.not. isvar("end_time_step"))then
-      
-      	 
-         end_time_step = -1.d    
-	 
-	 
-      end if 
-      ;***************************************************
-      ; OPTIONAL --time_stride-- TEMPORAL STRIDE 
-      ;
-      ; temporal stride for the plots; if time_stride=1 all the profiles 
-      ; between first_time_step and end_time_step are plotted 
-      ; (including first_time_step and end_time_step), 
-      ; if time_stride=3 every third time step between start_time_step and 
-      ; end_time_step is plotted
-      ;
-      ; data type: integer
-      ;
-      ; example:   time_stride = 3
-      ;
-      ; default:   1 
-      ;***************************************************
-      if (.not. isvar("time_stride"))then	
-      
-       
-         time_stride = 1
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --start_x-- STARTVALUE IN X-DIRECTION  
-      ;
-      ; if 3D data is used for profiles you can choose a startvalue 
-      ; in x-direction for horizontal averaging 
-      ;
-      ; data type: integer; dimension [grippoint]
-      ;
-      ; example: start_x = 0
-      ;
-      ; default:   0 (minimum of range)
-      ;***************************************************
-      if (.not. isvar("start_x"))then   
-      
-         
-         start_x = 0
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --end_x-- ENDVALUE IN X-DIRECTION  
-      ;
-      ; if 3D data is used for profiles you can choose an endvalue 
-      ; in x-direction for horizontal averaging 
-      ;
-      ; data type: integer; dimension [grippoint]
-      ;
-      ; example: end_x = 200
-      ;
-      ; default:   -1 (maximum of range excluding ghostpoint)
-      ;***************************************************
-      if (.not. isvar("end_x"))then   
-      
-         
-         end_x = -1
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --start_y-- STARTVALUE IN Y-DIRECTION  
-      ;
-      ; if 3D data is used for profiles you can choose a startvalue 
-      ; in y-direction for horizontal averaging 
-      ;
-      ; data type: integer; dimension [grippoint]
-      ;
-      ; example: start_y = 0
-      ;
-      ; default:   0 (minimum of range)
-      ;***************************************************
-      if (.not. isvar("start_y"))then   
-      
-         
-         start_y = 0
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --end_y-- ENDVALUE IN Y-DIRECTION  
-      ;
-      ; if 3D data is used for profiles you can choose an endvalue 
-      ; in y-direction for horizontal averaging 
-      ;
-      ; data type: integer; dimension [grippoint]
-      ;
-      ; example: end_y = 200
-      ;
-      ; default:   -1 (maximum of range excluding ghostpoint)
-      ;***************************************************
-      if (.not. isvar("end_y"))then   
-      
-         
-         end_y = -1
-	 
-	 
-      end if	 
-      ;***************************************************
-      ; OPTIONAL --xs-- MINIMUM X-AXIS 
-      ;
-      ; value for minimum of x-axis
-      ;
-      ; data type: float; dimension of variable
-      ;
-      ; example: xs = 300. (e.g. if var=",pt")
-      ;
-      ; default:   -1. (minimum of range)
-      ;***************************************************
-      if (.not. isvar("xs"))then   
-      
-         
-         xs = -1.
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --xe-- MAXIMUM X-AXIS 
-      ;
-      ; value for maximum of x-axis
-      ;
-      ; data type: float; dimension of variable
-      ;
-      ; example: xe = 302. (e.g. if var=",pt")
-      ;
-      ; default:   -1. (maximum of range)
-      ;***************************************************
-      if (.not. isvar("xe"))then  
-      
-          
-         xe = -1.
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --min_z-- MINIMUM Z-AXIS 
-      ;
-      ; value for minimum height of z-axis
-      ;
-      ; data type: double; dimension: [meter]
-      ;
-      ; example: min_z = 0.0d
-      ;
-      ; default:   -1.d (related to the minimum of z-axis in input file)
-      ;***************************************************
-      if (.not. isvar("min_z"))then   
-      
-         
-         min_z = -1.d
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --max_z-- MAXIMUM Z-AXIS 
-      ;
-      ; value for maximum height of z-axis
-      ;
-      ; data type: double; dimension: [meter]
-      ;
-      ; example: max_z = 1000.0d
-      ;
-      ; default:   -1.d (related to the maximum of z-axis in input file)
-      ;***************************************************
-      if (.not. isvar("max_z"))then   
-      
-         
-         max_z = -1.d
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --log_z-- LOGARITHMIC SCALE OF Z-AXIS 
-      ;
-      ; logarithmic scale for z-axis is switched on [=1] or off [=0]
-      ;
-      ; data type: integer
-      ;
-      ; example: log_z = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("log_z"))then 
-      
-           
-         log_z = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --norm_z-- NORMALISING Z-AXIS 
-      ;
-      ; value for normalising the z-axis
-      ;
-      ; data type: float
-      ;
-      ; example: norm_z = 1.
-      ;
-      ; default:   1. (no normalising)
-      ;***************************************************
-      if (.not. isvar("norm_z"))then 
-      
-           
-         norm_z = 1.
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --over-- OVERLAYING
-      ;
-      ; predefined overlaying of standard variables is switched 
-      ; on [=1] or off [=0];
-      ; this feature cannot be used with statistic regions
-      ;
-      ; data type: integer
-      ;
-      ; example: over = 0
-      ;
-      ; default:   0 
-      ;***************************************************
-      if (.not. isvar("over"))then
-      
-      	 
-         over = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --combine-- COMBINING 
-      ;
-      ; combining of two or three individual variables is possible and 
-      ; switched on [=1] or off[=0]
-      ;
-      ; data type: integer
-      ;
-      ; example: combine = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("combine"))then  
-      
-          
-         combine = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF combine=1 --number_comb-- NUMBER FOR COMBINING 
-      ;
-      ; number of variables for combining; 2 or 3 is valid 
-      ;
-      ; data type: integer
-      ;
-      ; example: number_comb = 2
-      ;
-      ; default:   -1
-      ;***************************************************
-      if (.not. isvar("number_comb"))then 
-      
-           
-         number_comb = -1
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF combine=1 --c_var-- VARIABLES FOR COMBINING 
-      ;
-      ; names of variables; 
-      ; inidcate them with one comma before and after each variable
-      ; if the name contains double quotes (") use dq and the '+' operation to 
-      ; concatenate the strings
-      ;
-      ; data type: string
-      ;
-      ; example: c_var = ",u,v,w,w*pt*,w"+dq+"pt"+dq+",wpt," 
-      ;
-      ; default:   "c_variables"
-      ;***************************************************
-      if (.not. isvar("c_var"))then 
-      
-           
-         c_var = "c_variables"
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --black-- BLACK OR COLOR LINES
-      ;
-      ; colored [=0] or black and white [=1] plots
-      ;
-      ; data type: integer
-      ;
-      ; example: black = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("black"))then 
-      
-           
-         black = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --dash-- DASHED LINES 
-      ;
-      ; use of different line patterns [=1] or continous lines [=0] 
-      ; for different time steps
-      ;
-      ; data type: integer
-      ;
-      ; example: dash = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("dash"))then     
-      
-       
-         dash = 0      
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
-      ;
-      ; font size can be changed to fit to the current plot
-      ;
-      ; data type: float
-      ;
-      ; example: font_size = 0.02
-      ;
-      ; default:   0.02 
-      ;***************************************************
-      if(.not. isvar("font_size"))then
-      
-      	 
-         font_size = 0.02
-	 
-	 
-      end if 
-      ;***************************************************
-      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
-      ;
-      ; font size of the legend can be changed to fit to the current plot
-      ;
-      ; data type: float
-      ;
-      ; example: font_size_legend = 0.2
-      ;
-      ; default:   0.2 
-      ;***************************************************
-      if(.not. isvar("font_size_legend"))then
-      
-      	 
-         font_size_legend = 0.2
-	 
-	 
-      end if 	 
-      ;***************************************************
-       
    end if
 
@@ -1881,41 +1851,5 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
-      ;
-      ; number of plots in one row 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_columns = 1
-      ;
-      ; default:   1
-      ;***************************************************
-      if (.not. isvar("no_columns"))then	 
-      
-      
-         no_columns = 1
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_rows-- NUMBER OF ROWS
-      ;
-      ; number of plots in one column 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_rows = 2
-      ;
-      ; default:   2 
-      ;***************************************************
-      if (.not. isvar("no_rows"))then
-      
-      	 
-         no_rows = 2
-	 
-	 
-      end if 	 
+      end if 	
       ;***************************************************
       ; OPTIONAL --var-- OUTPUT VARIABLES
@@ -1940,4 +1874,44 @@
       end if 	 
       ;***************************************************
+      ; OPTIONAL --start_time_step-- FIRST TIME STEP
+      ;
+      ; first time step of plot; there is no need to specify a precise 
+      ; time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
+      ;
+      ; data type: double; dimension: [hour]
+      ;
+      ; example:   start_time_step = 0.5d
+      ;
+      ; default:   -1.d (first available time step)
+      ;***************************************************
+      if (.not. isvar("start_time_step"))then
+      
+      	 
+         start_time_step = -1.d
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --end_time_step-- LAST TIME STEP
+      ;
+      ; last time step of plot; there is no need to specify a precise 
+      ; time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
+      ;
+      ; data type: double; dimension: [hour]
+      ;
+      ; example:   end_time_step = 2.0d
+      ;
+      ; default:   -1.d (last available time step)
+      ;***************************************************
+      if (.not. isvar("end_time_step"))then
+      
+      	 
+         end_time_step = -1.d
+	 
+	 
+      end if    
+      ;***************************************************
       ; OPTIONAL --height_level-- HEIGHT LEVELS 
       ;
@@ -1979,79 +1953,39 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --start_time_step-- FIRST TIME STEP
-      ;
-      ; first time step of plot; there is no need to specify a precise 
-      ; time value from the input file,
-      ; 'start_time_step' is rounded to the next existent time step
-      ;
-      ; data type: double; dimension: [hour]
-      ;
-      ; example:   start_time_step = 0.5d
-      ;
-      ; default:   -1.d (first available time step)
-      ;***************************************************
-      if (.not. isvar("start_time_step"))then
-      
-      	 
-         start_time_step = -1.d
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --end_time_step-- LAST TIME STEP
-      ;
-      ; last time step of plot; there is no need to specify a precise 
-      ; time value from the input file,
-      ; 'end_time_step' is rounded to the next existent time step
-      ;
-      ; data type: double; dimension: [hour]
-      ;
-      ; example:   end_time_step = 2.0d
-      ;
-      ; default:   -1.d (last available time step)
-      ;***************************************************
-      if (.not. isvar("end_time_step"))then
-      
-      	 
-         end_time_step = -1.d
-	 
-	 
-      end if    
-      ;***************************************************
-      ; OPTIONAL --black-- BLACK OR COLOR LINES
-      ;
-      ; colored [=0] or black and white [=1] plots
-      ;
-      ; data type: integer
-      ;
-      ; example: black = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("black"))then 
-      
-           
-         black = 0
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --dash-- DASHED LINES 
-      ;
-      ; use of different line patterns [=1] or continous lines [=0]
-      ;
-      ; data type: integer
-      ;
-      ; example: dash = 0
-      ;
-      ; default:   0
-      ;***************************************************
-      if (.not. isvar("dash"))then   
-      
-         
-         dash = 0
-	 
-	 
-      end if 
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
+      ;
+      ; number of plots in one row 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_columns = 1
+      ;
+      ; default:   1
+      ;***************************************************
+      if (.not. isvar("no_columns"))then	 
+      
+      
+         no_columns = 1
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
+      ;
+      ; number of plots in one column 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_rows = 2
+      ;
+      ; default:   2 
+      ;***************************************************
+      if (.not. isvar("no_rows"))then
+      
+      	 
+         no_rows = 2
+	 
+	 
+      end if 	 
       ;***************************************************
       ; OPTIONAL --log_x-- LOGARITHMIC SCALE X-AXIS
@@ -2091,4 +2025,23 @@
       end if 	 
       ;***************************************************
+      ; OPTIONAL --norm_height-- NORMALISING X-AXIS WITH HEIGHT
+      ;
+      ; normalising the x-axis with the height of each spectra 
+      ; is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: norm_height = 0
+      ;
+      ; default:   0 (no normalising)
+      ;***************************************************
+      if (.not. isvar("norm_height"))then   
+      
+         
+         norm_height = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
       ; OPTIONAL --norm_x-- NORMALISING X-AXIS 
       ;
@@ -2108,23 +2061,4 @@
 	 
       end if 
-      ;***************************************************
-      ; OPTIONAL --norm_height-- NORMALISING X-AXIS WITH HEIGHT
-      ;
-      ; normalising the x-axis with the height of each spectra 
-      ; is switched on [=1] or off [=0]
-      ;
-      ; data type: integer
-      ;
-      ; example: norm_height = 0
-      ;
-      ; default:   0 (no normalising)
-      ;***************************************************
-      if (.not. isvar("norm_height"))then   
-      
-         
-         norm_height = 0
-	 
-	 
-      end if 	 
       ;***************************************************
       ; OPTIONAL --norm_y-- NORMALISE Y-AXIS 
@@ -2165,4 +2099,40 @@
       	 
          unit_y = " "	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --black-- BLACK OR COLOR LINES
+      ;
+      ; colored [=0] or black and white [=1] plots
+      ;
+      ; data type: integer
+      ;
+      ; example: black = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("black"))then 
+      
+           
+         black = 0
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --dash-- DASHED LINES 
+      ;
+      ; use of different line patterns [=1] or continous lines [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: dash = 0
+      ;
+      ; default:   0
+      ;***************************************************
+      if (.not. isvar("dash"))then   
+      
+         
+         dash = 0
+	 
 	 
       end if 
@@ -2319,42 +2289,6 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
-      ;
-      ; number of plots in one row 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_columns = 1
-      ;
-      ; default:   1
-      ;***************************************************
-      if (.not. isvar("no_columns"))then	
-      
-       
-         no_columns = 1
-	 
-	 
-      end if 	 
-      ;***************************************************
-      ; OPTIONAL --no_rows-- NUMBER OF ROWS
-      ;
-      ; number of plots in one column 
-      ;
-      ; data type: integer
-      ; 
-      ; example: no_rows = 2
-      ;
-      ; default:   2 
-      ;***************************************************
-      if (.not. isvar("no_rows"))then
-      
-      	 
-         no_rows = 1
-	 
-	 
-      end if 	 
-      ;***************************************************
+      end if 
+ ;***************************************************
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
@@ -2416,5 +2350,5 @@
 	 
 
-      end if 	 
+      end if 	 	 
       ;***************************************************
       ; OPTIONAL --over-- OVERLAYING
@@ -2438,4 +2372,78 @@
       end if
       ;***************************************************
+      ; OPTIONAL --norm_t-- NORMALISING X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; normalising the x-axis with the given value; 
+      ; the unit can be set explicitly; 
+      ; by default no normalising and unit is set to [s]
+      ;
+      ; data type: float
+      ;
+      ; example: norm_t = 3600.
+      ;
+      ; default:   1. 
+      ;***************************************************
+      if(.not. isvar("norm_t"))then
+      
+      	 
+         norm_t = 1.
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --unit_t-- UNIT OF X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; unit of the x-axis can be set; by default unit is set to [s]
+      ;
+      ; data type: string
+      ;
+      ; example: unit_t = "h"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unit_t"))then
+      
+      	 
+         unit_t = " "
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
+      ;
+      ; number of plots in one row 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_columns = 1
+      ;
+      ; default:   1
+      ;***************************************************
+      if (.not. isvar("no_columns"))then	
+      
+       
+         no_columns = 1
+	 
+	 
+      end if 	 
+      ;***************************************************
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
+      ;
+      ; number of plots in one column 
+      ;
+      ; data type: integer
+      ; 
+      ; example: no_rows = 2
+      ;
+      ; default:   2 
+      ;***************************************************
+      if (.not. isvar("no_rows"))then
+      
+      	 
+         no_rows = 2
+	 
+	 
+      end if 	 
+      ;***************************************************
       ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
       ;
@@ -2455,42 +2463,4 @@
 	 
       end if 
-      ;***************************************************
-      ; OPTIONAL --norm_t-- NORMALISING X-AXIS OF TIMESERIES PLOTS (T-AXIS)
-      ;
-      ; normalising the x-axis with the given value; 
-      ; the unit can explicitly set; 
-      ; by default no normalising and unit is set to [s]
-      ;
-      ; data type: float
-      ;
-      ; example: norm_t = 3600.
-      ;
-      ; default:   1. 
-      ;***************************************************
-      if(.not. isvar("norm_t"))then
-      
-      	 
-         norm_t = 1.
-	 
-	 
-      end if
-      ;***************************************************
-      ; OPTIONAL --unit_t-- UNIT OF X-AXIS OF TIMESERIES PLOTS (T-AXIS)
-      ;
-      ; unit of the x-axis can be set; by default unit is set to [s]
-      ;
-      ; data type: string
-      ;
-      ; example: unit_t = "h"
-      ;
-      ; default:   " " 
-      ;***************************************************
-      if(.not. isvar("unit_t"))then
-      
-      	 
-         unit_t = " "
-	 
-	 
-      end if
       ;***************************************************
 
